package com.jz.dm.mall.moduls.service;

import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCustomerAssetsReq;
import com.jz.dm.mall.moduls.entity.FinanceCustomerAssets;

import java.math.BigDecimal;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerAssetsService {

    /**
     * 查询余额是否充足
     * @param req
     */
    Result findAssets(FinanceCustomerAssetsReq req) throws Exception;

    /**
     * 解冻金额扣钱
     * @param req
     * @return
     */
    Result unfreezeMoney(FinanceCustomerAssetsReq req) throws Exception;
}